Subject: Re: [PATCH v2 3/5] t5318: avoid top-level directory changes

From: Junio C Hamano <[email-masked]>
Date: Mon, 24 Jul 2023 14:48:32 -0700

Taylor Blau <[email-masked]> writes:

>  test_expect_success 'exit with correct error on bad input to --stdin-packs' '
> -	cd "$TRASH_DIRECTORY/full" &&
>  	echo doesnotexist >in &&
> -	test_expect_code 1 git commit-graph write --stdin-packs <in 2>stderr &&
> +	test_expect_code 1 git -C full commit-graph write --stdin-packs \
> +		<in 2>stderr &&
>  	test_i18ngrep "error adding pack" stderr
>  '

Strictly speaking, this changes behaviour in that "in" and "stderr"
files are now left in the top-level directory (they used to be in
the "full" directory).  It is rather hard to make sure that this
difference (and similar ones the patch makes) does not matter in the
rest of the tests only from the patch context, but I'll read through
"git diff -U999" and did not spot anything questionable.